org.apache.poi.ss.formula

## Class DataValidationEvaluator.DataValidationContext

- java.lang.Object
- - org.apache.poi.ss.formula.DataValidationEvaluator.DataValidationContext

- Enclosing class:
    DataValidationEvaluator

      public static class DataValidationEvaluator.DataValidationContext
      extends java.lang.Object

  This class organizes and encapsulates all the pieces of information related to a single data validation configuration for a single cell. It cleanly separates the validation region, the cells it applies to, the specific cell this instance references, and the validation configuration and current values if applicable.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataValidationContext(DataValidation dv, DataValidationEvaluator dve, CellRangeAddressBase region, CellReference target)` Populate the context with the necessary values.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataValidationEvaluator` | `getEvaluator()`
    `java.lang.String` | `getFormula1()`
    `java.lang.String` | `getFormula2()`
    `int` | `getOffsetColumns()`
    `int` | `getOffsetRows()`
    `int` | `getOperator()`
    `CellRangeAddressBase` | `getRegion()`
    `int` | `getSheetIndex()`
    `CellReference` | `getTarget()`
    `DataValidation` | `getValidation()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataValidationContext

          public DataValidationContext(DataValidation dv,
                                       DataValidationEvaluator dve,
                                       CellRangeAddressBase region,
                                       CellReference target)

      Populate the context with the necessary values.

  - ### Method Detail

    - #### getValidation

          public DataValidation getValidation()

      Returns:
        the dv

    - #### getEvaluator

          public DataValidationEvaluator getEvaluator()

      Returns:
        the dve

    - #### getRegion

          public CellRangeAddressBase getRegion()

      Returns:
        the region

    - #### getTarget

          public CellReference getTarget()

      Returns:
        the target

    - #### getOffsetColumns

          public int getOffsetColumns()

    - #### getOffsetRows

          public int getOffsetRows()

    - #### getSheetIndex

          public int getSheetIndex()

    - #### getFormula1

          public java.lang.String getFormula1()

    - #### getFormula2

          public java.lang.String getFormula2()

    - #### getOperator

          public int getOperator()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.